#line 2
#define pi (3.141592653589)
uniform vec4 diffuseColor;
uniform vec4 specularColor;
uniform float colorBoost;
uniform float roughness;
uniform float metallic;
void main()
{
	vec3 V = normalize(-ex_Position.xyz);
	vec3 N = ex_Normal.xyz; // viewspace normal
	#include "cooktorrance.inc"
	
	if (sampld.a <= ALPHA_TEST_THRESHOLD) {
		discard;
	}
	
	out_Color = vec4(final.rgb, 1.0);
}
